Skip to main content
GET
/
subscriptions
/
cp
/
api
/
subscription-contract-details
/
shopify
/
customer
/
payment-methods
Get current customer's saved Shopify payment methods
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/subscription-contract-details/shopify/customer/payment-methods
{
  "get__typename": "<string>",
  "nodes": [
    {
      "get__typename": "<string>",
      "id": "<string>",
      "sellingPlanId": "<string>",
      "sellingPlanName": "<string>",
      "productId": "<string>",
      "sku": "<string>",
      "title": "<string>",
      "variantId": "<string>",
      "quantity": 123,
      "customAttributes": [
        {
          "get__typename": "<string>",
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "lineDiscountedPrice": {
        "get__typename": "<string>",
        "amount": {}
      },
      "variantImage": {
        "get__typename": "<string>",
        "transformedSrc": {}
      },
      "variantTitle": "<string>",
      "currentPrice": {
        "get__typename": "<string>",
        "amount": {}
      },
      "discountAllocations": [
        {
          "get__typename": "<string>",
          "amount": {
            "get__typename": "<string>",
            "amount": {}
          },
          "discount": {
            "get__typename": "<string>"
          }
        }
      ],
      "pricingPolicy": {
        "get__typename": "<string>",
        "basePrice": {
          "get__typename": "<string>",
          "amount": {}
        },
        "cycleDiscounts": [
          {
            "get__typename": "<string>",
            "afterCycle": 123,
            "computedPrice": {
              "get__typename": "<string>",
              "amount": {}
            },
            "adjustmentValue": {
              "get__typename": "<string>"
            }
          }
        ]
      },
      "taxable": true
    }
  ],
  "pageInfo": {
    "get__typename": "<string>",
    "hasPreviousPage": true,
    "hasNextPage": true,
    "startCursor": "<string>",
    "endCursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

allowRevokedMethod
boolean
default:false

Response

200 - */*

OK

get__typename
string
nodes
object[]
pageInfo
object